View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001766aMuleMessagespublic2016-08-20 00:152016-09-09 10:54
Reportersrad75 
Assigned To 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntu Mate - XfceOS Version16.04
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001766: Amule Crash on Ubuntu 16.04
DescriptionAmule Crash on Ubuntu 16.04
« on: August 19, 2016, 11:31:30 PM »
ReplyQuoteModifyModifyRemoveRemove
Hello friend, i always used Amule on Ubuntu 14.04, but when i upgrade the system with Ubuntu 16.04 Amule after 10-15 minutes close with this following message...
what could be your problem?!


An assertion failed!

../../src/BaseClient.cpp(2143): assert "Assert failure" failed in ProcessPublicKeyPacket().

ASSERT INFO:
../../src/BaseClient.cpp(2143): assert "Assert failure" failed in ProcessPublicKeyPacket().

BACKTRACE:
[1] wxOnAssert(char const*, int, char const*, char const*, char const*)
[2] void std::__cxx11::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >::_M_construct<wchar_t const*>(wchar_t const*, wchar_t const*, std::forward_iterator_tag)
[3] non-virtual thunk to CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::PKCS1v15, CryptoPP::SHA1, CryptoPP::RSA, int>, CryptoPP::RSA, CryptoPP::PKCS1v15_SignatureMessageEncodingMethod, CryptoPP::SHA1> > >::~PK_FinalTemplate()
[4] non-virtual thunk to CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::PKCS1v15, CryptoPP::SHA1, CryptoPP::RSA, int>, CryptoPP::RSA, CryptoPP::PKCS1v15_SignatureMessageEncodingMethod, CryptoPP::SHA1> > >::~PK_FinalTemplate()
[5] non-virtual thunk to CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::PKCS1v15, CryptoPP::SHA1, CryptoPP::RSA, int>, CryptoPP::RSA, CryptoPP::PKCS1v15_SignatureMessageEncodingMethod, CryptoPP::SHA1> > >::~PK_FinalTemplate()
[6] wxAppConsoleBase::CallEventHandler(wxEvtHandler*, wxEventFunctor&, wxEvent&) const
[7] wxEvtHandler::ProcessEventIfMatchesId(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&)
[8] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*)
[9] wxEvtHandler::TryHereOnly(wxEvent&)
[10] wxEvtHandler::ProcessEventLocally(wxEvent&)
[11] wxEvtHandler::ProcessEvent(wxEvent&)
[12] wxEvtHandler::ProcessPendingEvents()
[13] wxAppConsoleBase::ProcessPendingEvents()
[14] wxApp::DoIdle()
[15] g_main_context_dispatch
[16] g_main_loop_run
[17] gtk_main
[18] wxGUIEventLoop::DoRun()
[19] wxEventLoopBase::Run()
[20] wxAppConsoleBase::MainLoop()
[21] wxEntry(int&, wchar_t**)
[22] __libc_start_main
TagsNo tags attached.
Fixed in Revision10922
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003693)
GonoszTopi (administrator)
2016-09-09 10:44

The bug is already fixed in aMule, but the fix hasn't yet propagated to the Ubuntu binaries.

- Issue History
Date Modified Username Field Change
2016-08-20 00:15 srad75 New Issue
2016-09-09 10:44 GonoszTopi Note Added: 0003693
2016-09-09 10:44 GonoszTopi Status new => resolved
2016-09-09 10:44 GonoszTopi Resolution open => fixed
2016-09-09 10:44 GonoszTopi Fixed in Version => 2.3.2
2016-09-09 10:44 GonoszTopi Description Updated
2016-09-09 10:45 GonoszTopi Bug Revision Dropped: Description: 0000014
2016-09-09 10:54 GonoszTopi Fixed in Revision => 10922


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker